import { OnInit, EventEmitter } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
export declare class CommonDialogComponent implements OnInit {
    dialogRef: MatDialogRef<CommonDialogComponent>;
    translation: any;
    hideHeader: boolean;
    hideCloseIcon: boolean;
    hideCloseBtn: boolean;
    hideSaveBtn: boolean;
    hideDiscardBtn: boolean;
    saveBtnLabel: string;
    cancelBtnLabel: string;
    discardBtnLabel: string;
    showErrorIcon: boolean;
    showZoomBtn: boolean;
    customSave: boolean;
    customPageTitle: boolean;
    onCloseRequest: Function;
    dialogStyle: {};
    size: string;
    title: string;
    loading: boolean;
    saveEmit: EventEmitter<Function>;
    closeEmit: EventEmitter<Function>;
    defaultSize: string;
    constructor(dialogRef: MatDialogRef<CommonDialogComponent>);
    footerContent: any;
    customFooter: boolean;
    ngAfterContentInit(): void;
    ngOnInit(): void;
    onClose(): void;
    onZoom(): void;
    onSave(): void;
    onDiscard(): void;
    private getInfo;
}
